// This Source Code Form is subject to the terms of the Mozilla Public
// License, v. 2.0. If a copy of the MPL was not distributed with this
// file, You can obtain one at http://mozilla.org/MPL/2.0/.
// ===BEGIN ICANN DOMAINS===
// ac : http://en.wikipedia.org/wiki/.ac
// ad : http://en.wikipedia.org/wiki/.ad
// ae : http://en.wikipedia.org/wiki/.ae
// see also: "Domain Name Eligibility Policy" at http://www.aeda.ae/eng/aepolicy.php
// aero : see http://www.information.aero/index.php?id=66
// af : http://www.nic.af/help.jsp
// ag : http://www.nic.ag/prices.htm
// ai : http://nic.com.ai/
// al : http://www.ert.gov.al/ert_alb/faq_det.html?Id=31
// am : http://en.wikipedia.org/wiki/.am
// an : http://www.una.an/an_domreg/default.asp
// ao : http://en.wikipedia.org/wiki/.ao
// http://www.dns.ao/REGISTR.DOC
// aq : http://en.wikipedia.org/wiki/.aq
// ar : http://en.wikipedia.org/wiki/.ar
// arpa : http://en.wikipedia.org/wiki/.arpa
// Confirmed by registry <iana-questions@icann.org> 2008-06-18
// as : http://en.wikipedia.org/wiki/.as
// asia : http://en.wikipedia.org/wiki/.asia
// at : http://en.wikipedia.org/wiki/.at
// Confirmed by registry <it@nic.at> 2008-06-17
// au : http://en.wikipedia.org/wiki/.au
// http://www.auda.org.au/
// 2LDs
// Historic 2LDs (closed to new registration, but sites still exist)
// CGDNs - http://www.cgdn.org.au/
// 3LDs
// Removed at request of Shae.Donelan@services.nsw.gov.au, 2010-03-04
// nsw.gov.au
// aw : http://en.wikipedia.org/wiki/.aw
// ax : http://en.wikipedia.org/wiki/.ax
// az : http://en.wikipedia.org/wiki/.az
// ba : http://en.wikipedia.org/wiki/.ba
// bb : http://en.wikipedia.org/wiki/.bb
// bd : http://en.wikipedia.org/wiki/.bd
// be : http://en.wikipedia.org/wiki/.be
// Confirmed by registry <tech@dns.be> 2008-06-08
// bf : http://en.wikipedia.org/wiki/.bf
// bg : http://en.wikipedia.org/wiki/.bg
// https://www.register.bg/user/static/rules/en/index.html
// bh : http://en.wikipedia.org/wiki/.bh
// bi : http://en.wikipedia.org/wiki/.bi
// http://whois.nic.bi/
// biz : http://en.wikipedia.org/wiki/.biz
// bj : http://en.wikipedia.org/wiki/.bj
// bm : http://www.bermudanic.bm/dnr-text.txt
// bn : http://en.wikipedia.org/wiki/.bn
// bo : http://www.nic.bo/
// br : http://registro.br/dominio/dpn.html
// Updated by registry <fneves@registro.br> 2011-03-01
// bs : http://www.nic.bs/rules.html
// bt : http://en.wikipedia.org/wiki/.bt
// bv : No registrations at this time.
// Submitted by registry <jarle@uninett.no> 2006-06-16
// bw : http://en.wikipedia.org/wiki/.bw
// http://www.gobin.info/domainname/bw.doc
// list of other 2nd level tlds ?
// by : http://en.wikipedia.org/wiki/.by
// http://tld.by/rules_2006_en.html
// list of other 2nd level tlds ?
// Official information does not indicate that com.by is a reserved
// second-level domain, but it's being used as one (see www.google.com.by and
// www.yahoo.com.by, for example), so we list it here for safety's sake.
// http://hoster.by/
// bz : http://en.wikipedia.org/wiki/.bz
// http://www.belizenic.bz/
// ca : http://en.wikipedia.org/wiki/.ca
// ca geographical names
// gc.ca: http://en.wikipedia.org/wiki/.gc.ca
// see also: http://registry.gc.ca/en/SubdomainFAQ
// cat : http://en.wikipedia.org/wiki/.cat
// cc : http://en.wikipedia.org/wiki/.cc
// cd : http://en.wikipedia.org/wiki/.cd
// see also: https://www.nic.cd/domain/insertDomain_2.jsp?act=1
// cf : http://en.wikipedia.org/wiki/.cf
// cg : http://en.wikipedia.org/wiki/.cg
// ch : http://en.wikipedia.org/wiki/.ch
// ci : http://en.wikipedia.org/wiki/.ci
// http://www.nic.ci/index.php?page=charte
// ck : http://en.wikipedia.org/wiki/.ck
// cl : http://en.wikipedia.org/wiki/.cl
// cm : http://en.wikipedia.org/wiki/.cm
// cn : http://en.wikipedia.org/wiki/.cn
// Submitted by registry <tanyaling@cnnic.cn> 2008-06-11
// cn geographic names
// co : http://en.wikipedia.org/wiki/.co
// Submitted by registry <tecnico@uniandes.edu.co> 2008-06-11
// com : http://en.wikipedia.org/wiki/.com
// coop : http://en.wikipedia.org/wiki/.coop
// cr : http://www.nic.cr/niccr_publico/showRegistroDominiosScreen.do
// cu : http://en.wikipedia.org/wiki/.cu
// cv : http://en.wikipedia.org/wiki/.cv
// cx : http://en.wikipedia.org/wiki/.cx
// list of other 2nd level tlds ?
// cy : http://en.wikipedia.org/wiki/.cy
// cz : http://en.wikipedia.org/wiki/.cz
// de : http://en.wikipedia.org/wiki/.de
// Confirmed by registry <ops@denic.de> (with technical
// reservations) 2008-07-01
// dj : http://en.wikipedia.org/wiki/.dj
// dk : http://en.wikipedia.org/wiki/.dk
// Confirmed by registry <robert@dk-hostmaster.dk> 2008-06-17
// dm : http://en.wikipedia.org/wiki/.dm
// do : http://en.wikipedia.org/wiki/.do
// dz : http://en.wikipedia.org/wiki/.dz
// ec : http://www.nic.ec/reg/paso1.asp
// Submitted by registry <vabboud@nic.ec> 2008-07-04
// edu : http://en.wikipedia.org/wiki/.edu
// ee : http://www.eenet.ee/EENet/dom_reeglid.html#lisa_B
// eg : http://en.wikipedia.org/wiki/.eg
// er : http://en.wikipedia.org/wiki/.er
// es : https://www.nic.es/site_ingles/ingles/dominios/index.html
// et : http://en.wikipedia.org/wiki/.et
// eu : http://en.wikipedia.org/wiki/.eu
// fi : http://en.wikipedia.org/wiki/.fi
// aland.fi : http://en.wikipedia.org/wiki/.ax
// This domain is being phased out in favor of .ax. As there are still many
// domains under aland.fi, we still keep it on the list until aland.fi is
// completely removed.
// TODO: Check for updates (expected to be phased out around Q1/2009)
// fj : http://en.wikipedia.org/wiki/.fj
// fk : http://en.wikipedia.org/wiki/.fk
// fm : http://en.wikipedia.org/wiki/.fm
// fo : http://en.wikipedia.org/wiki/.fo
// fr : http://www.afnic.fr/
// domaines descriptifs : http://www.afnic.fr/obtenir/chartes/nommage-fr/annexe-descriptifs
// domaines sectoriels : http://www.afnic.fr/obtenir/chartes/nommage-fr/annexe-sectoriels
// ga : http://en.wikipedia.org/wiki/.ga
// gb : This registry is effectively dormant
// Submitted by registry <Damien.Shaw@ja.net> 2008-06-12
// gd : http://en.wikipedia.org/wiki/.gd
// ge : http://www.nic.net.ge/policy_en.pdf
// gf : http://en.wikipedia.org/wiki/.gf
// gg : http://www.channelisles.net/applic/avextn.shtml
// gh : http://en.wikipedia.org/wiki/.gh
// see also: http://www.nic.gh/reg_now.php
// Although domains directly at second level are not possible at the moment,
// they have been possible for some time and may come back.
// gi : http://www.nic.gi/rules.html
// gl : http://en.wikipedia.org/wiki/.gl
// http://nic.gl
// gm : http://www.nic.gm/htmlpages%5Cgm-policy.htm
// gn : http://psg.com/dns/gn/gn.txt
// Submitted by registry <randy@psg.com> 2008-06-17
// gov : http://en.wikipedia.org/wiki/.gov
// gp : http://www.nic.gp/index.php?lang=en
// gq : http://en.wikipedia.org/wiki/.gq
// gr : https://grweb.ics.forth.gr/english/1617-B-2005.html
// Submitted by registry <segred@ics.forth.gr> 2008-06-09
// gs : http://en.wikipedia.org/wiki/.gs
// gt : http://www.gt/politicas.html
// gu : http://gadao.gov.gu/registration.txt
// gw : http://en.wikipedia.org/wiki/.gw
// gy : http://en.wikipedia.org/wiki/.gy
// http://registry.gy/
// hk : https://www.hkdnr.hk
// Submitted by registry <hk.tech@hkirc.hk> 2008-06-11
// hm : http://en.wikipedia.org/wiki/.hm
// hn : http://www.nic.hn/politicas/ps02,,05.html
// hr : http://www.dns.hr/documents/pdf/HRTLD-regulations.pdf
// ht : http://www.nic.ht/info/charte.cfm
// hu : http://www.domain.hu/domain/English/sld.html
// Confirmed by registry <pasztor@iszt.hu> 2008-06-12
// id : http://en.wikipedia.org/wiki/.id
// see also: https://register.pandi.or.id/
// ie : http://en.wikipedia.org/wiki/.ie
// il : http://en.wikipedia.org/wiki/.il
// im : https://www.nic.im/pdfs/imfaqs.pdf
// in : http://en.wikipedia.org/wiki/.in
// see also: http://www.inregistry.in/policies/
// Please note, that nic.in is not an offical eTLD, but used by most
// government institutions.
// info : http://en.wikipedia.org/wiki/.info
// int : http://en.wikipedia.org/wiki/.int
// Confirmed by registry <iana-questions@icann.org> 2008-06-18
// io : http://www.nic.io/rules.html
// list of other 2nd level tlds ?
// iq : http://www.cmc.iq/english/iq/iqregister1.htm
// ir : http://www.nic.ir/Terms_and_Conditions_ir,_Appendix_1_Domain_Rules
// Also see http://www.nic.ir/Internationalized_Domain_Names
// Two <iran>.ir entries added at request of <tech-team@nic.ir>, 2010-04-16
// xn--mgba3a4f16a.ir (<iran>.ir, Persian YEH)
// xn--mgba3a4fra.ir (<iran>.ir, Arabic YEH)
// is : http://www.isnic.is/domain/rules.php
// Confirmed by registry <marius@isgate.is> 2008-12-06
// it : http://en.wikipedia.org/wiki/.it
// list of reserved geo-names : 
// http://www.nic.it/documenti/regolamenti-e-linee-guida/regolamento-assegnazione-versione-6.0.pdf
// (There is also a list of reserved geo-names corresponding to Italian 
// municipalities : http://www.nic.it/documenti/appendice-c.pdf , but it is
// not included here.)
// je : http://www.channelisles.net/applic/avextn.shtml
// jm : http://www.com.jm/register.html
// jo : http://www.dns.jo/Registration_policy.aspx
// jobs : http://en.wikipedia.org/wiki/.jobs
// jp : http://en.wikipedia.org/wiki/.jp
// http://jprs.co.jp/en/jpdomain.html
// Submitted by registry <yone@jprs.co.jp> 2008-06-11
// Updated by registry <yone@jprs.co.jp> 2008-12-04
// jp organizational type names 
// jp geographic type names
// http://jprs.jp/doc/rule/saisoku-1.html
// ke : http://www.kenic.or.ke/index.php?option=com_content&task=view&id=117&Itemid=145
// kg : http://www.domain.kg/dmn_n.html
// kh : http://www.mptc.gov.kh/dns_registration.htm
// ki : http://www.ki/dns/index.html
// km : http://en.wikipedia.org/wiki/.km
// http://www.domaine.km/documents/charte.doc
// These are only mentioned as proposed suggestions at domaine.km, but
// http://en.wikipedia.org/wiki/.km says they're available for registration:
// kn : http://en.wikipedia.org/wiki/.kn
// http://www.dot.kn/domainRules.html
// kp : http://www.kcce.kp/en_index.php
// kr : http://en.wikipedia.org/wiki/.kr
// see also: http://domain.nida.or.kr/eng/registration.jsp
// kr geographical names
// kw : http://en.wikipedia.org/wiki/.kw
// ky : http://www.icta.ky/da_ky_reg_dom.php
// Confirmed by registry <kysupport@perimeterusa.com> 2008-06-17
// kz : http://en.wikipedia.org/wiki/.kz
// see also: http://www.nic.kz/rules/index.jsp
// la : http://en.wikipedia.org/wiki/.la
// Submitted by registry <gavin.brown@nic.la> 2008-06-10
// lb : http://en.wikipedia.org/wiki/.lb
// Submitted by registry <randy@psg.com> 2008-06-17
// lc : http://en.wikipedia.org/wiki/.lc
// see also: http://www.nic.lc/rules.htm
// li : http://en.wikipedia.org/wiki/.li
// lk : http://www.nic.lk/seclevpr.html
// lr : http://psg.com/dns/lr/lr.txt
// Submitted by registry <randy@psg.com> 2008-06-17
// ls : http://en.wikipedia.org/wiki/.ls
// lt : http://en.wikipedia.org/wiki/.lt
// gov.lt : http://www.gov.lt/index_en.php
// lu : http://www.dns.lu/en/
// lv : http://www.nic.lv/DNS/En/generic.php
// ly : http://www.nic.ly/regulations.php
// ma : http://en.wikipedia.org/wiki/.ma
// http://www.anrt.ma/fr/admin/download/upload/file_fr782.pdf
// mc : http://www.nic.mc/
// md : http://en.wikipedia.org/wiki/.md
// me : http://en.wikipedia.org/wiki/.me
// mg : http://www.nic.mg/tarif.htm
// mh : http://en.wikipedia.org/wiki/.mh
// mil : http://en.wikipedia.org/wiki/.mil
// mk : http://en.wikipedia.org/wiki/.mk
// see also: http://dns.marnet.net.mk/postapka.php
// ml : http://www.gobin.info/domainname/ml-template.doc
// see also: http://en.wikipedia.org/wiki/.ml
// mm : http://en.wikipedia.org/wiki/.mm
// mn : http://en.wikipedia.org/wiki/.mn
// mo : http://www.monic.net.mo/
// mobi : http://en.wikipedia.org/wiki/.mobi
// mp : http://www.dot.mp/
// Confirmed by registry <dcamacho@saipan.com> 2008-06-17
// mq : http://en.wikipedia.org/wiki/.mq
// mr : http://en.wikipedia.org/wiki/.mr
// ms : http://en.wikipedia.org/wiki/.ms
// mt : https://www.nic.org.mt/dotmt/
// mu : http://en.wikipedia.org/wiki/.mu
// museum : http://about.museum/naming/
// http://index.museum/
// mv : http://en.wikipedia.org/wiki/.mv
// "mv" included because, contra Wikipedia, google.mv exists.
// mw : http://www.registrar.mw/
// mx : http://www.nic.mx/
// Submitted by registry <farias@nic.mx> 2008-06-19
// my : http://www.mynic.net.my/
// mz : http://www.gobin.info/domainname/mz-template.doc
// na : http://www.na-nic.com.na/
// http://www.info.na/domain/
// name : has 2nd-level tlds, but there's no list of them
// nc : http://www.cctld.nc/
// ne : http://en.wikipedia.org/wiki/.ne
// net : http://en.wikipedia.org/wiki/.net
// nf : http://en.wikipedia.org/wiki/.nf
// ng : http://psg.com/dns/ng/
// Submitted by registry <randy@psg.com> 2008-06-17
// ni : http://www.nic.ni/dominios.htm
// nl : http://www.domain-registry.nl/ace.php/c,728,122,,,,Home.html
// Confirmed by registry <Antoin.Verschuren@sidn.nl> (with technical
// reservations) 2008-06-08
// BV.nl will be a registry for dutch BV's (besloten vennootschap)
// no : http://www.norid.no/regelverk/index.en.html
// The Norwegian registry has declined to notify us of updates. The web pages
// referenced below are the official source of the data. There is also an
// announce mailing list: 
// https://postlister.uninett.no/sympa/info/norid-diskusjon
// Norid generic domains : http://www.norid.no/regelverk/vedlegg-c.en.html
// Non-Norid generic domains : http://www.norid.no/regelverk/vedlegg-d.en.html
// no geographical names : http://www.norid.no/regelverk/vedlegg-b.en.html
// counties
// primary and lower secondary schools per county
// cities
// communities
// np : http://www.mos.com.np/register.html
// nr : http://cenpac.net.nr/dns/index.html
// Confirmed by registry <technician@cenpac.net.nr> 2008-06-17
// nu : http://en.wikipedia.org/wiki/.nu
// nz : http://en.wikipedia.org/wiki/.nz
// om : http://en.wikipedia.org/wiki/.om
// org : http://en.wikipedia.org/wiki/.org
// pa : http://www.nic.pa/
// Some additional second level "domains" resolve directly as hostnames, such as
// pannet.pa, so we add a rule for "pa".
// pe : https://www.nic.pe/InformeFinalComision.pdf
// pf : http://www.gobin.info/domainname/formulaire-pf.pdf
// pg : http://en.wikipedia.org/wiki/.pg
// ph : http://www.domains.ph/FAQ2.asp
// Submitted by registry <jed@email.com.ph> 2008-06-13
// pk : http://pk5.pknic.net.pk/pk5/msgNamepk.PK
// pl : http://www.dns.pl/english/
// NASK functional domains (nask.pl / dns.pl) : http://www.dns.pl/english/dns-funk.html
// ICM functional domains (icm.edu.pl)
// Government domains (administred by ippt.gov.pl)
// other functional domains
// NASK geographical domains : http://www.dns.pl/english/dns-regiony.html
// TASK geographical domains (www.task.gda.pl/uslugi/dns)
// other geographical domains
// pm : http://www.afnic.fr/medias/documents/AFNIC-naming-policy2012.pdf
// pn : http://www.government.pn/PnRegistry/policies.htm
// pr : http://www.nic.pr/index.asp?f=1
// these aren't mentioned on nic.pr, but on http://en.wikipedia.org/wiki/.pr
// pro : http://www.nic.pro/support_faq.htm
// ps : http://en.wikipedia.org/wiki/.ps
// http://www.nic.ps/registration/policy.html#reg
// pt : http://online.dns.pt/dns/start_dns
// pw : http://en.wikipedia.org/wiki/.pw
// py : http://www.nic.py/faq_a.html#faq_b
// qa : http://domains.qa/en/
// re : http://www.afnic.re/obtenir/chartes/nommage-re/annexe-descriptifs
// ro : http://www.rotld.ro/
// rs : http://en.wikipedia.org/wiki/.rs
// ru : http://www.cctld.ru/ru/docs/aktiv_8.php
// Industry domains
// Geographical domains
// More geographical domains
// State domains
// Technical domains
// rw : http://www.nic.rw/cgi-bin/policy.pl
// sa : http://www.nic.net.sa/
// sb : http://www.sbnic.net.sb/
// Submitted by registry <lee.humphries@telekom.com.sb> 2008-06-08
// sc : http://www.nic.sc/
// sd : http://www.isoc.sd/sudanic.isoc.sd/billing_pricing.htm
// Submitted by registry <admin@isoc.sd> 2008-06-17
// se : http://en.wikipedia.org/wiki/.se
// Submitted by registry <Patrik.Wallstrom@iis.se> 2008-06-24
// sg : http://www.nic.net.sg/sub_policies_agreement/2ld.html
// sh : http://www.nic.sh/rules.html
// list of 2nd level domains ?
// si : http://en.wikipedia.org/wiki/.si
// sj : No registrations at this time.
// Submitted by registry <jarle@uninett.no> 2008-06-16
// sk : http://en.wikipedia.org/wiki/.sk
// list of 2nd level domains ?
// sl : http://www.nic.sl
// Submitted by registry <adam@neoip.com> 2008-06-12
// sm : http://en.wikipedia.org/wiki/.sm
// sn : http://en.wikipedia.org/wiki/.sn
// so : http://www.soregistry.com/
// sr : http://en.wikipedia.org/wiki/.sr
// st : http://www.nic.st/html/policyrules/
// su : http://en.wikipedia.org/wiki/.su
// sv : http://www.svnet.org.sv/svpolicy.html
// sy : http://en.wikipedia.org/wiki/.sy
// see also: http://www.gobin.info/domainname/sy.doc
// sz : http://en.wikipedia.org/wiki/.sz
// http://www.sispa.org.sz/
// tc : http://en.wikipedia.org/wiki/.tc
// td : http://en.wikipedia.org/wiki/.td
// tel: http://en.wikipedia.org/wiki/.tel
// http://www.telnic.org/
// tf : http://en.wikipedia.org/wiki/.tf
// tg : http://en.wikipedia.org/wiki/.tg
// http://www.nic.tg/nictg/index.php implies no reserved 2nd-level domains,
// although this contradicts wikipedia.
// th : http://en.wikipedia.org/wiki/.th
// Submitted by registry <krit@thains.co.th> 2008-06-17
// tj : http://www.nic.tj/policy.htm
// tk : http://en.wikipedia.org/wiki/.tk
// tl : http://en.wikipedia.org/wiki/.tl
// tm : http://www.nic.tm/rules.html
// list of 2nd level tlds ?
// tn : http://en.wikipedia.org/wiki/.tn
// http://whois.ati.tn/
// to : http://en.wikipedia.org/wiki/.to
// Submitted by registry <egullich@colo.to> 2008-06-17
// tr : http://en.wikipedia.org/wiki/.tr
// Used by government in the TRNC
// http://en.wikipedia.org/wiki/.nc.tr
// travel : http://en.wikipedia.org/wiki/.travel
// tt : http://www.nic.tt/
// tv : http://en.wikipedia.org/wiki/.tv
// Not listing any 2LDs as reserved since none seem to exist in practice,
// Wikipedia notwithstanding.
// tw : http://en.wikipedia.org/wiki/.tw
// tz : http://en.wikipedia.org/wiki/.tz
// Submitted by registry <randy@psg.com> 2008-06-17
// Updated from http://www.tznic.or.tz/index.php/domains.html 2010-10-25
// ua : http://www.nic.net.ua/
// ua geo-names
// Private registries in .ua
// ug : http://www.registry.co.ug/
// uk : http://en.wikipedia.org/wiki/.uk
// us : http://en.wikipedia.org/wiki/.us
// us geographic names
// The registrar notes several more specific domains available in each state,
// such as state.*.us, dst.*.us, etc., but resolution of these is somewhat
// haphazard; in some states these domains resolve as addresses, while in others
// only subdomains are available, or even nothing at all. We include the
// most common ones where it's clear that different sites are different
// entities.
// k12.hi.us  Hawaii has a state-wide DOE login: bug 614565
// k12.ma.us contains school districts in Massachusetts. The 4LDs are 
//  managed indepedently except for private (PVT), charter (CHTR) and
//  parochial (PAROCH) schools.  Those are delegated dorectly to the 
//  5LD operators.   <k12-ma-hostmaster _ at _ rsuc.gweep.net>
// uy : http://www.antel.com.uy/
// uz : http://www.reg.uz/registerr.html
// are there other 2nd level tlds ?
// va : http://en.wikipedia.org/wiki/.va
// vc : http://en.wikipedia.org/wiki/.vc
// Submitted by registry <kshah@ca.afilias.info> 2008-06-13
// ve : http://registro.nic.ve/nicve/registro/index.html
// vg : http://en.wikipedia.org/wiki/.vg
// vi : http://www.nic.vi/newdomainform.htm
// http://www.nic.vi/Domain_Rules/body_domain_rules.html indicates some other
// TLDs are "reserved", such as edu.vi and gov.vi, but doesn't actually say they
// are available for registration (which they do not seem to be).
// vn : https://www.dot.vn/vnnic/vnnic/domainregistration.jsp
// vu : http://en.wikipedia.org/wiki/.vu
// list of 2nd level tlds ?
// wf : http://www.afnic.fr/medias/documents/AFNIC-naming-policy2012.pdf
// ws : http://en.wikipedia.org/wiki/.ws
// http://samoanic.ws/index.dhtml
// yt : http://www.afnic.fr/medias/documents/AFNIC-naming-policy2012.pdf
// IDN ccTLDs
// Please sort by ISO 3166 ccTLD, then punicode string
// when submitting patches and follow this format:
// <Punicode> ("<english word>" <language>) : <ISO 3166 ccTLD>
// [optional sponsoring org]
// <URL>
// xn--mgbaam7a8h ("Emerat" Arabic) : AE
//http://nic.ae/english/arabicdomain/rules.jsp
// xn--54b7fta0cc ("Bangla" Bangla) : BD  
// xn--fiqs8s ("China" Chinese-Han-Simplified <.Zhonggou>) : CN 
// CNNIC
// http://cnnic.cn/html/Dir/2005/10/11/3218.htm
// xn--fiqz9s ("China" Chinese-Han-Traditional <.Zhonggou>) : CN
// CNNIC
// http://cnnic.cn/html/Dir/2005/10/11/3218.htm
// xn--lgbbat1ad8j ("Algeria / Al Jazair" Arabic) : DZ  
// xn--wgbh1c ("Egypt" Arabic .masr) : EG
// http://www.dotmasr.eg/
// xn--node ("ge" Georgian (Mkhedruli)) : GE  
// xn--j6w193g ("Hong Kong" Chinese-Han) : HK
// https://www2.hkirc.hk/register/rules.jsp
// xn--h2brj9c ("Bharat" Devanagari) : IN  
// India
// xn--mgbbh1a71e ("Bharat" Arabic) : IN  
// India
// xn--fpcrj9c3d ("Bharat" Telugu) : IN  
// India
// xn--gecrj9c ("Bharat" Gujarati) : IN  
// India
// xn--s9brj9c ("Bharat" Gurmukhi) : IN  
// India
// xn--45brj9c ("Bharat" Bengali) : IN  
// India
// xn--xkc2dl3a5ee0h ("India" Tamil) : IN  
// India
// xn--mgba3a4f16a ("Iran" Persian) : IR  
// xn--mgba3a4fra ("Iran" Arabic) : IR  
//xn--mgbayh7gpa ("al-Ordon" Arabic) JO
//National Information Technology Center (NITC) 
//Royal Scientific Society, Al-Jubeiha
// xn--3e0b707e ("Republic of Korea" Hangul) : KR  
// xn--fzc2c9e2c ("Lanka" Sinhalese-Sinhala) : LK
// http://nic.lk
// xn--xkc2al3hye2a ("Ilangai" Tamil) : LK
// http://nic.lk
// xn--mgbc0a9azcg ("Morocco / al-Maghrib" Arabic) : MA  
// xn--mgb9awbf ("Oman" Arabic) : OM  
// xn--ygbi2ammx ("Falasteen" Arabic) : PS
// The Palestinian National Internet Naming Authority (PNINA)
// http://www.pnina.ps
// xn--90a3ac ("srb" Cyrillic) : RS  
// xn--p1ai ("rf" Russian-Cyrillic) : RU
// http://www.cctld.ru/en/docs/rulesrf.php
// xn--wgbl6a ("Qatar" Arabic) : QA
// http://www.ict.gov.qa/
// xn--mgberp4a5d4ar ("AlSaudiah" Arabic) : SA
// http://www.nic.net.sa/
// xn--mgberp4a5d4a87g ("AlSaudiah" Arabic) variant : SA  
// xn--mgbqly7c0a67fbc ("AlSaudiah" Arabic) variant : SA  
// xn--mgbqly7cvafr ("AlSaudiah" Arabic) variant : SA  
// xn--ogbpf8fl ("Syria" Arabic) : SY  
// xn--mgbtf8fl ("Syria" Arabic) variant : SY  
// xn--yfro4i67o Singapore ("Singapore" Chinese-Han) : SG
// xn--clchc0ea0b2g2a9gcd ("Singapore" Tamil) : SG
// xn--o3cw4h ("Thai" Thai) : TH
// http://www.thnic.co.th
// xn--pgbs0dh ("Tunis") : TN
// http://nic.tn
// xn--kpry57d ("Taiwan" Chinese-Han-Traditional) : TW
// http://www.twnic.net/english/dn/dn_07a.htm
// xn--kprw13d ("Taiwan" Chinese-Han-Simplified) : TW
// http://www.twnic.net/english/dn/dn_07a.htm
// xn--nnx388a ("Taiwan") variant : TW  
// xn--j1amh ("ukr" Cyrillic) : UA  
// xn--mgb2ddes ("AlYemen" Arabic) : YE  
// xxx : http://icmregistry.com
// ye : http://www.y.net.ye/services/domain_name.htm
// za : http://www.zadna.org.za/slds.html
// zm : http://en.wikipedia.org/wiki/.zm
// zw : http://en.wikipedia.org/wiki/.zw
// ===END ICANN DOMAINS===
// ===BEGIN PRIVATE DOMAINS===
// info.at : http://www.info.at/
// priv.at : http://www.nic.priv.at/
// Submitted by registry <lendl@nic.at> 2008-06-09
// co.ca : http://registry.co.ca
// CentralNic : http://www.centralnic.com/names/domains
// Confirmed by registry <gavin.brown@centralnic.com> 2008-06-09
// Opera Software, A.S.A.
// Requested by Yngve Pettersen <yngve@opera.com> 2009-11-26
// Google, Inc.
// Requested by Eduardo Vela <evn@google.com> 2010-09-06
// iki.fi : Submitted by Hannu Aronsson <haa@iki.fi> 2009-11-05
// c.la : http://www.c.la/
// ZaNiC : http://www.za.net/
// Confirmed by registry <hostmaster@nic.za.net> 2009-10-03
// CoDNS B.V.
// Added 2010-05-23.
// Mainseek Sp. z o.o. : http://www.co.pl/
// DynDNS.com : http://www.dyndns.com/services/dns/dyndns/
// ===END PRIVATE DOMAINS===
char* tldString = "root(307:ac(6:com,edu,gov,net,mil,org),ad(1:nom),ae(7:co,net,org,sch,ac,gov,mil),aero(89:accident-investigation,accident-prevention,aerobatic,aeroclub,aerodrome,agents,aircraft,airline,airport,air-surveillance,airtraffic,air-traffic-control,ambulance,amusement,association,author,ballooning,broker,caa,cargo,catering,certification,championship,charter,civilaviation,club,conference,consultant,consulting,control,council,crew,design,dgca,educator,emergency,engine,engineer,entertainment,equipment,exchange,express,federation,flight,freight,fuel,gliding,government,groundhandling,group,hanggliding,homebuilt,insurance,journal,journalist,leasing,logistics,magazine,maintenance,marketplace,media,microlight,modelling,navigation,parachuting,paragliding,passenger-association,pilot,press,production,recreation,repbody,res,research,rotorcraft,safety,scientist,services,show,skydiving,software,student,taxi,trader,trading,trainer,union,workinggroup,works),af(5:gov,com,org,net,edu),ag(5:com,org,net,co,nom),ai(4:off,com,net,org),al(6:com,edu,gov,mil,net,org),am,an(4:com,net,org,edu),ao(6:ed,gv,og,co,pb,it),aq,ar(10:*,congresodelalengua3(1:!),educ(1:!),gobiernoelectronico(1:!),mecon(1:!),nacion(1:!),nic(1:!),promocion(1:!),retina(1:!),uba(1:!)),arpa(6:e164,in-addr,ip6,iris,uri,urn),as(1:gov),asia,at(7:ac,co,gv,or,biz,info,priv),au(19:com,net,org,edu(8:act,nsw,nt,qld,sa,tas,vic,wa),gov(7:act,nt,qld,sa,tas,vic,wa),csiro,asn,id,info,conf,oz,act,nsw,nt,qld,sa,tas,vic,wa),aw(1:com),ax,az(12:com,net,int,gov,org,edu,info,pp,mil,name,pro,biz),ba(10:org,net,edu,gov,mil,unsa,unbi,co,com,rs),bb(8:biz,com,edu,gov,info,net,org,store),bd(1:*),be(1:ac),bf(1:gov),bg(36:a,b,c,d,e,f,g,h,i,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y,z,0,1,2,3,4,5,6,7,8,9),bh(5:com,edu,net,org,gov),bi(5:co,com,edu,or,org),biz(7:dyndns,for-better,for-more,for-some,for-the,selfip,webhop),bj(3:asso,barreau,gouv),bm(5:com,edu,gov,net,org),bn(1:*),bo(9:com,edu,gov,gob,int,org,net,mil,tv),br(68:adm,adv,agr,am,arq,art,ato,b,bio,blog,bmd,can,cim,cng,cnt,com,coop,ecn,edu,emp,eng,esp,etc,eti,far,flog,fm,fnd,fot,fst,g12,ggf,gov,imb,ind,inf,jor,jus,lel,mat,med,mil,mus,net,nom,not,ntr,odo,org,ppg,pro,psc,psi,qsl,radio,rec,slg,srv,taxi,teo,tmp,trd,tur,tv,vet,vlog,wiki,zlg),bs(5:com,net,org,edu,gov),bt(5:com,edu,gov,net,org),bw(2:co,org),by(4:gov,mil,com,of),bz(5:com,net,org,edu,gov),ca(16:ab,bc,mb,nb,nf,nl,ns,nt,nu,on,pe,qc,sk,yk,gc,co),cat,cc(4:ftpaccess,game-server,myphotos,scrapping),cd(1:gov),cf,cg,ch,ci(15:org,or,com,co,edu,ed,ac,net,go,asso,aéroport,int,presse,md,gouv),ck(2:*,www(1:!)),cl(4:gov,gob,co,mil),cm(1:gov),cn(44:ac,com,edu,gov,net,org,mil,公司,网络,網絡,ah,bj,cq,fj,gd,gs,gz,gx,ha,hb,he,hi,hl,hn,jl,js,jx,ln,nm,nx,qh,sc,sd,sh,sn,sx,tj,xj,xz,yn,zj,hk,mo,tw),co(13:arts,com,edu,firm,gov,info,int,mil,net,nom,org,rec,web),com(171:ar,br,cn,de,eu,gb,gr,hu,jpn,kr,no,qc,ru,sa,se,uk,us,uy,za,operaunite,appspot,dyndns-at-home,dyndns-at-work,dyndns-blog,dyndns-free,dyndns-home,dyndns-ip,dyndns-mail,dyndns-office,dyndns-pics,dyndns-remote,dyndns-server,dyndns-web,dyndns-wiki,dyndns-work,blogdns,cechire,dnsalias,dnsdojo,doesntexist,dontexist,doomdns,dyn-o-saur,dynalias,est-a-la-maison,est-a-la-masion,est-le-patron,est-mon-blogueur,from-ak,from-al,from-ar,from-ca,from-ct,from-dc,from-de,from-fl,from-ga,from-hi,from-ia,from-id,from-il,from-in,from-ks,from-ky,from-ma,from-md,from-mi,from-mn,from-mo,from-ms,from-mt,from-nc,from-nd,from-ne,from-nh,from-nj,from-nm,from-nv,from-oh,from-ok,from-or,from-pa,from-pr,from-ri,from-sc,from-sd,from-tn,from-tx,from-ut,from-va,from-vt,from-wa,from-wi,from-wv,from-wy,getmyip,gotdns,hobby-site,homelinux,homeunix,iamallama,is-a-anarchist,is-a-blogger,is-a-bookkeeper,is-a-bulls-fan,is-a-caterer,is-a-chef,is-a-conservative,is-a-cpa,is-a-cubicle-slave,is-a-democrat,is-a-designer,is-a-doctor,is-a-financialadvisor,is-a-geek,is-a-green,is-a-guru,is-a-hard-worker,is-a-hunter,is-a-landscaper,is-a-lawyer,is-a-liberal,is-a-libertarian,is-a-llama,is-a-musician,is-a-nascarfan,is-a-nurse,is-a-painter,is-a-personaltrainer,is-a-photographer,is-a-player,is-a-republican,is-a-rockstar,is-a-socialist,is-a-student,is-a-teacher,is-a-techie,is-a-therapist,is-an-accountant,is-an-actor,is-an-actress,is-an-anarchist,is-an-artist,is-an-engineer,is-an-entertainer,is-certified,is-gone,is-into-anime,is-into-cars,is-into-cartoons,is-into-games,is-leet,is-not-certified,is-slick,is-uberleet,is-with-theband,isa-geek,isa-hockeynut,issmarterthanyou,likes-pie,likescandy,neat-url,saves-the-whales,selfip,sells-for-less,sells-for-u,servebbs,simple-url,space-to-rent,teaches-yoga,writesthisblog),coop,cr(7:ac,co,ed,fi,go,or,sa),cu(6:com,edu,org,net,gov,inf),cv,cx(2:gov,ath),cy(1:*),cz,de(7:com,fuettertdasnetz,isteingeek,istmein,lebtimnetz,leitungsen,traeumtgerade),dj,dk,dm(5:com,net,org,edu,gov),do(10:art,com,edu,gob,gov,mil,net,org,sld,web),dz(8:com,org,net,gov,edu,asso,pol,art),ec(12:com,info,net,fin,k12,med,pro,org,edu,gov,gob,mil),edu,ee(10:edu,gov,riik,lib,med,com,pri,aip,org,fie),eg(9:com,edu,eun,gov,mil,name,net,org,sci),er(1:*),es(5:com,nom,org,gob,edu),et(1:*),eu,fi(2:aland,iki),fj(1:*),fk(1:*),fm,fo,fr(23:com,asso,nom,prd,presse,tm,aeroport,assedic,avocat,avoues,cci,chambagri,chirurgiens-dentistes,experts-comptables,geometre-expert,gouv,greta,huissier-justice,medecin,notaires,pharmacien,port,veterinaire),ga,gd,ge(7:com,edu,gov,org,mil,net,pvt),gf,gg(5:co,org,net,sch,gov),gh(5:com,edu,gov,org,mil),gi(6:com,ltd,gov,mod,edu,org),gl,gm,gn(6:ac,com,edu,gov,org,net),gov,gp(6:com,net,mobi,edu,org,asso),gq,gr(5:com,edu,net,org,gov),gs,gt(2:*,www(1:!)),gu(1:*),gw,gy(3:co,com,net),hk(21:com,edu,gov,idv,net,org,公司,教育,敎育,政府,個人,个人,箇人,網络,网络,组織,網絡,网絡,组织,組織,組织),hm,hn(6:com,edu,org,net,mil,gob),hr(4:iz,from,name,com),ht(17:com,shop,firm,info,adult,net,pro,org,med,art,coop,pol,asso,edu,rel,gouv,perso),hu(31:co,info,org,priv,sport,tm,2000,agrar,bolt,casino,city,erotica,erotika,film,forum,games,hotel,ingatlan,jogasz,konyvelo,lakas,media,news,reklam,sex,shop,suli,szex,tozsde,utazas,video),id(8:ac,co,go,mil,net,or,sch,web),ie(1:gov),il(1:*),im(6:co(2:ltd,plc),net,gov,org,nic,ac),in(12:co,firm,net,org,gen,ind,nic,ac,edu,res,gov,mil),info(10:dyndns,barrel-of-knowledge,barrell-of-knowledge,for-our,groks-the,groks-this,here-for-more,knowsitall,selfip,webhop),int(1:eu),io(1:com),iq(6:gov,edu,mil,com,org,net),ir(9:ac,co,gov,id,net,org,sch,ایران,ايران),is(6:net,com,edu,gov,org,int),it(277:gov,edu,agrigento,ag,alessandria,al,ancona,an,aosta,aoste,ao,arezzo,ar,ascoli-piceno,ascolipiceno,ap,asti,at,avellino,av,bari,ba,andria-barletta-trani,andriabarlettatrani,trani-barletta-andria,tranibarlettaandria,barletta-trani-andria,barlettatraniandria,andria-trani-barletta,andriatranibarletta,trani-andria-barletta,traniandriabarletta,bt,belluno,bl,benevento,bn,bergamo,bg,biella,bi,bologna,bo,bolzano,bozen,balsan,alto-adige,altoadige,suedtirol,bz,brescia,bs,brindisi,br,cagliari,ca,caltanissetta,cl,campobasso,cb,carboniaiglesias,carbonia-iglesias,iglesias-carbonia,iglesiascarbonia,ci,caserta,ce,catania,ct,catanzaro,cz,chieti,ch,como,co,cosenza,cs,cremona,cr,crotone,kr,cuneo,cn,dell-ogliastra,dellogliastra,ogliastra,og,enna,en,ferrara,fe,fermo,fm,firenze,florence,fi,foggia,fg,forli-cesena,forlicesena,cesena-forli,cesenaforli,fc,frosinone,fr,genova,genoa,ge,gorizia,go,grosseto,gr,imperia,im,isernia,is,laquila,aquila,aq,la-spezia,laspezia,sp,latina,lt,lecce,le,lecco,lc,livorno,li,lodi,lo,lucca,lu,macerata,mc,mantova,mn,massa-carrara,massacarrara,carrara-massa,carraramassa,ms,matera,mt,medio-campidano,mediocampidano,campidano-medio,campidanomedio,vs,messina,me,milano,milan,mi,modena,mo,monza,monza-brianza,monzabrianza,monzaebrianza,monzaedellabrianza,monza-e-della-brianza,mb,napoli,naples,na,novara,no,nuoro,nu,oristano,or,padova,padua,pd,palermo,pa,parma,pr,pavia,pv,perugia,pg,pescara,pe,pesaro-urbino,pesarourbino,urbino-pesaro,urbinopesaro,pu,piacenza,pc,pisa,pi,pistoia,pt,pordenone,pn,potenza,pz,prato,po,ragusa,rg,ravenna,ra,reggio-calabria,reggiocalabria,rc,reggio-emilia,reggioemilia,re,rieti,ri,rimini,rn,roma,rome,rm,rovigo,ro,salerno,sa,sassari,ss,savona,sv,siena,si,siracusa,sr,sondrio,so,taranto,ta,tempio-olbia,tempioolbia,olbia-tempio,olbiatempio,ot,teramo,te,terni,tr,torino,turin,to,trapani,tp,trento,trentino,tn,treviso,tv,trieste,ts,udine,ud,varese,va,venezia,venice,ve,verbania,vb,vercelli,vc,verona,vr,vibo-valentia,vibovalentia,vv,vicenza,vi,viterbo,vt),je(5:co,org,net,sch,gov),jm(1:*),jo(8:com,org,net,edu,sch,gov,mil,name),jobs,jp(63:ac,ad,co,ed,go,gr,lg,ne,or,aichi(2:*,pref(1:!)),akita(2:*,pref(1:!)),aomori(2:*,pref(1:!)),chiba(3:*,pref(1:!),city(1:!)),ehime(2:*,pref(1:!)),fukui(2:*,pref(1:!)),fukuoka(3:*,pref(1:!),city(1:!)),fukushima(2:*,pref(1:!)),gifu(2:*,pref(1:!)),gunma(2:*,pref(1:!)),hiroshima(3:*,pref(1:!),city(1:!)),hokkaido(2:*,pref(1:!)),hyogo(2:*,pref(1:!)),ibaraki(2:*,pref(1:!)),ishikawa(2:*,pref(1:!)),iwate(2:*,pref(1:!)),kagawa(2:*,pref(1:!)),kagoshima(2:*,pref(1:!)),kanagawa(2:*,pref(1:!)),kawasaki(2:*,city(1:!)),kitakyushu(2:*,city(1:!)),kobe(2:*,city(1:!)),kochi(2:*,pref(1:!)),kumamoto(2:*,pref(1:!)),kyoto(3:*,pref(1:!),city(1:!)),mie(2:*,pref(1:!)),miyagi(2:*,pref(1:!)),miyazaki(2:*,pref(1:!)),nagano(2:*,pref(1:!)),nagasaki(2:*,pref(1:!)),nagoya(2:*,city(1:!)),nara(2:*,pref(1:!)),niigata(3:*,pref(1:!),city(1:!)),oita(2:*,pref(1:!)),okayama(3:*,pref(1:!),city(1:!)),okinawa(2:*,pref(1:!)),osaka(3:*,pref(1:!),city(1:!)),saga(2:*,pref(1:!)),saitama(3:*,pref(1:!),city(1:!)),sapporo(2:*,city(1:!)),sendai(2:*,city(1:!)),shiga(2:*,pref(1:!)),shimane(2:*,pref(1:!)),shizuoka(3:*,pref(1:!),city(1:!)),tochigi(2:*,pref(1:!)),tokushima(2:*,pref(1:!)),tokyo(2:*,metro(1:!)),tottori(2:*,pref(1:!)),toyama(2:*,pref(1:!)),wakayama(2:*,pref(1:!)),yamagata(2:*,pref(1:!)),yamaguchi(2:*,pref(1:!)),yamanashi(2:*,pref(1:!)),yokohama(2:*,city(1:!))),ke(1:*),kg(6:org,net,com,edu,gov,mil),kh(1:*),ki(7:edu,biz,net,org,gov,info,com),km(17:org,nom,gov,prd,tm,edu,mil,ass,com,coop,asso,presse,medecin,notaires,pharmaciens,veterinaire,gouv),kn(4:net,org,edu,gov),kp(6:com,edu,gov,org,rep,tra),kr(29:ac,co,es,go,hs,kg,mil,ms,ne,or,pe,re,sc,busan,chungbuk,chungnam,daegu,daejeon,gangwon,gwangju,gyeongbuk,gyeonggi,gyeongnam,incheon,jeju,jeonbuk,jeonnam,seoul,ulsan),kw(1:*),ky(5:edu,gov,com,org,net),kz(6:org,edu,net,gov,mil,com),la(9:int,net,info,edu,gov,per,com,org,c),lb(5:com,edu,gov,net,org),lc(6:com,net,co,org,edu,gov),li,lk(14:gov,sch,net,int,com,org,edu,ngo,soc,web,ltd,assn,grp,hotel),lr(5:com,edu,gov,org,net),ls(2:co,org),lt(1:gov),lu,lv(9:com,edu,gov,org,mil,id,net,asn,conf),ly(9:com,net,gov,plc,edu,sch,med,org,id),ma(6:co,net,gov,org,ac,press),mc(2:tm,asso),md,me(8:co,net,org,edu,ac,gov,its,priv),mg(8:org,nom,gov,prd,tm,edu,mil,com),mh,mil,mk(7:com,org,net,edu,gov,inf,name),ml(7:com,edu,gouv,gov,net,org,presse),mm(1:*),mn(3:gov,edu,org),mo(5:com,net,org,edu,gov),mobi,mp,mq,mr(1:gov),ms,mt(1:*),mu(7:com,net,org,gov,ac,co,or),museum(548:academy,agriculture,air,airguard,alabama,alaska,amber,ambulance,american,americana,americanantiques,americanart,amsterdam,and,annefrank,anthro,anthropology,antiques,aquarium,arboretum,archaeological,archaeology,architecture,art,artanddesign,artcenter,artdeco,arteducation,artgallery,arts,artsandcrafts,asmatart,assassination,assisi,association,astronomy,atlanta,austin,australia,automotive,aviation,axis,badajoz,baghdad,bahn,bale,baltimore,barcelona,baseball,basel,baths,bauern,beauxarts,beeldengeluid,bellevue,bergbau,berkeley,berlin,bern,bible,bilbao,bill,birdart,birthplace,bonn,boston,botanical,botanicalgarden,botanicgarden,botany,brandywinevalley,brasil,bristol,british,britishcolumbia,broadcast,brunel,brussel,brussels,bruxelles,building,burghof,bus,bushey,cadaques,california,cambridge,can,canada,capebreton,carrier,cartoonart,casadelamoneda,castle,castres,celtic,center,chattanooga,cheltenham,chesapeakebay,chicago,children,childrens,childrensgarden,chiropractic,chocolate,christiansburg,cincinnati,cinema,circus,civilisation,civilization,civilwar,clinton,clock,coal,coastaldefence,cody,coldwar,collection,colonialwilliamsburg,coloradoplateau,columbia,columbus,communication,communications,community,computer,computerhistory,comunicações,contemporary,contemporaryart,convent,copenhagen,corporation,correios-e-telecomunicações,corvette,costume,countryestate,county,crafts,cranbrook,creation,cultural,culturalcenter,culture,cyber,cymru,dali,dallas,database,ddr,decorativearts,delaware,delmenhorst,denmark,depot,design,detroit,dinosaur,discovery,dolls,donostia,durham,eastafrica,eastcoast,education,educational,egyptian,eisenbahn,elburg,elvendrell,embroidery,encyclopedic,england,entomology,environment,environmentalconservation,epilepsy,essex,estate,ethnology,exeter,exhibition,family,farm,farmequipment,farmers,farmstead,field,figueres,filatelia,film,fineart,finearts,finland,flanders,florida,force,fortmissoula,fortworth,foundation,francaise,frankfurt,franziskaner,freemasonry,freiburg,fribourg,frog,fundacio,furniture,gallery,garden,gateway,geelvinck,gemological,geology,georgia,giessen,glas,glass,gorge,grandrapids,graz,guernsey,halloffame,hamburg,handson,harvestcelebration,hawaii,health,heimatunduhren,hellas,helsinki,hembygdsforbund,heritage,histoire,historical,historicalsociety,historichouses,historisch,historisches,history,historyofscience,horology,house,humanities,illustration,imageandsound,indian,indiana,indianapolis,indianmarket,intelligence,interactive,iraq,iron,isleofman,jamison,jefferson,jerusalem,jewelry,jewish,jewishart,jfk,journalism,judaica,judygarland,juedisches,juif,karate,karikatur,kids,koebenhavn,koeln,kunst,kunstsammlung,kunstunddesign,labor,labour,lajolla,lancashire,landes,lans,läns,larsson,lewismiller,lincoln,linz,living,livinghistory,localhistory,london,losangeles,louvre,loyalist,lucerne,luxembourg,luzern,mad,madrid,mallorca,manchester,mansion,mansions,manx,marburg,maritime,maritimo,maryland,marylhurst,media,medical,medizinhistorisches,meeres,memorial,mesaverde,michigan,midatlantic,military,mill,miners,mining,minnesota,missile,missoula,modern,moma,money,monmouth,monticello,montreal,moscow,motorcycle,muenchen,muenster,mulhouse,muncie,museet,museumcenter,museumvereniging,music,national,nationalfirearms,nationalheritage,nativeamerican,naturalhistory,naturalhistorymuseum,naturalsciences,nature,naturhistorisches,natuurwetenschappen,naumburg,naval,nebraska,neues,newhampshire,newjersey,newmexico,newport,newspaper,newyork,niepce,norfolk,north,nrw,nuernberg,nuremberg,nyc,nyny,oceanographic,oceanographique,omaha,online,ontario,openair,oregon,oregontrail,otago,oxford,pacific,paderborn,palace,paleo,palmsprings,panama,paris,pasadena,pharmacy,philadelphia,philadelphiaarea,philately,phoenix,photography,pilots,pittsburgh,planetarium,plantation,plants,plaza,portal,portland,portlligat,posts-and-telecommunications,preservation,presidio,press,project,public,pubol,quebec,railroad,railway,research,resistance,riodejaneiro,rochester,rockart,roma,russia,saintlouis,salem,salvadordali,salzburg,sandiego,sanfrancisco,santabarbara,santacruz,santafe,saskatchewan,satx,savannahga,schlesisches,schoenbrunn,schokoladen,school,schweiz,science,scienceandhistory,scienceandindustry,sciencecenter,sciencecenters,science-fiction,sciencehistory,sciences,sciencesnaturelles,scotland,seaport,settlement,settlers,shell,sherbrooke,sibenik,silk,ski,skole,society,sologne,soundandvision,southcarolina,southwest,space,spy,square,stadt,stalbans,starnberg,state,stateofdelaware,station,steam,steiermark,stjohn,stockholm,stpetersburg,stuttgart,suisse,surgeonshall,surrey,svizzera,sweden,sydney,tank,tcm,technology,telekommunikation,television,texas,textile,theater,time,timekeeping,topology,torino,touch,town,transport,tree,trolley,trust,trustee,uhren,ulm,undersea,university,usa,usantiques,usarts,uscountryestate,usculture,usdecorativearts,usgarden,ushistory,ushuaia,uslivinghistory,utah,uvic,valley,vantaa,versailles,viking,village,virginia,virtual,virtuel,vlaanderen,volkenkunde,wales,wallonie,war,washingtondc,watchandclock,watch-and-clock,western,westfalen,whaling,wildlife,williamsburg,windmill,workshop,york,yorkshire,yosemite,youth,zoological,zoology,ירושלים,иком),mv(14:aero,biz,com,coop,edu,gov,info,int,mil,museum,name,net,org,pro),mw(11:ac,biz,co,com,coop,edu,gov,int,museum,net,org),mx(5:com,org,gob,edu,net),my(7:com,net,org,gov,edu,mil,name),mz(1:*),na(17:info,pro,name,school,or,dr,us,mx,ca,in,cc,tv,ws,mobi,co,com,org),name(2:her(1:forgot),his(1:forgot)),nc(1:asso),ne,net(40:gb,jp,se,uk,za,at-band-camp,blogdns,broke-it,buyshouses,dnsalias,dnsdojo,does-it,dontexist,dynalias,dynathome,endofinternet,from-az,from-co,from-la,from-ny,gets-it,ham-radio-op,homeftp,homeip,homelinux,homeunix,in-the-band,is-a-chef,is-a-geek,isa-geek,kicks-ass,office-on-the,podzone,scrapper-site,selfip,sells-it,servebbs,serveftp,thruhere,webhop),nf(10:com,net,per,rec,web,arts,firm,info,other,store),ng(6:ac,com,edu,gov,net,org),ni(1:*),nl(2:bv,co),no(725:fhs,vgs,fylkesbibl,folkebibl,museum,idrett,priv,mil,stat,dep,kommune,herad,aa(1:gs),ah(1:gs),bu(1:gs),fm(1:gs),hl(1:gs),hm(1:gs),jan-mayen(1:gs),mr(1:gs),nl(1:gs),nt(1:gs),of(1:gs),ol(1:gs),oslo(1:gs),rl(1:gs),sf(1:gs),st(1:gs),svalbard(1:gs),tm(1:gs),tr(1:gs),va(1:gs),vf(1:gs),akrehamn,åkrehamn,algard,ålgård,arna,brumunddal,bryne,bronnoysund,brønnøysund,drobak,drøbak,egersund,fetsund,floro,florø,fredrikstad,hokksund,honefoss,hønefoss,jessheim,jorpeland,jørpeland,kirkenes,kopervik,krokstadelva,langevag,langevåg,leirvik,mjondalen,mjøndalen,mo-i-rana,mosjoen,mosjøen,nesoddtangen,orkanger,osoyro,osøyro,raholt,råholt,sandnessjoen,sandnessjøen,skedsmokorset,slattum,spjelkavik,stathelle,stavern,stjordalshalsen,stjørdalshalsen,tananger,tranby,vossevangen,afjord,åfjord,agdenes,al,ål,alesund,ålesund,alstahaug,alta,áltá,alaheadju,álaheadju,alvdal,amli,åmli,amot,åmot,andebu,andoy,andøy,andasuolo,ardal,årdal,aremark,arendal,ås,aseral,åseral,asker,askim,askvoll,askoy,askøy,asnes,åsnes,audnedaln,aukra,aure,aurland,aurskog-holand,aurskog-høland,austevoll,austrheim,averoy,averøy,balestrand,ballangen,balat,bálát,balsfjord,bahccavuotna,báhccavuotna,bamble,bardu,beardu,beiarn,bajddar,bájddar,baidar,báidár,berg,bergen,berlevag,berlevåg,bearalvahki,bearalváhki,bindal,birkenes,bjarkoy,bjarkøy,bjerkreim,bjugn,bodo,bodø,badaddja,bådåddjå,budejju,bokn,bremanger,bronnoy,brønnøy,bygland,bykle,barum,bærum,telemark(2:bo,bø),nordland(4:bo,bø,heroy,herøy),bievat,bievát,bomlo,bømlo,batsfjord,båtsfjord,bahcavuotna,báhcavuotna,dovre,drammen,drangedal,dyroy,dyrøy,donna,dønna,eid,eidfjord,eidsberg,eidskog,eidsvoll,eigersund,elverum,enebakk,engerdal,etne,etnedal,evenes,evenassi,evenášši,evje-og-hornnes,farsund,fauske,fuossko,fuoisku,fedje,fet,finnoy,finnøy,fitjar,fjaler,fjell,flakstad,flatanger,flekkefjord,flesberg,flora,fla,flå,folldal,forsand,fosnes,frei,frogn,froland,frosta,frana,fræna,froya,frøya,fusa,fyresdal,forde,førde,gamvik,gangaviika,gáŋgaviika,gaular,gausdal,gildeskal,gildeskål,giske,gjemnes,gjerdrum,gjerstad,gjesdal,gjovik,gjøvik,gloppen,gol,gran,grane,granvin,gratangen,grimstad,grong,kraanghke,kråanghke,grue,gulen,hadsel,halden,halsa,hamar,hamaroy,habmer,hábmer,hapmir,hápmir,hammerfest,hammarfeasta,hámmárfeasta,haram,hareid,harstad,hasvik,aknoluokta,ákŋoluokta,hattfjelldal,aarborte,haugesund,hemne,hemnes,hemsedal,more-og-romsdal(2:heroy,sande),møre-og-romsdal(2:herøy,sande),hitra,hjartdal,hjelmeland,hobol,hobøl,hof,hol,hole,holmestrand,holtalen,holtålen,hornindal,horten,hurdal,hurum,hvaler,hyllestad,hagebostad,hægebostad,hoyanger,høyanger,hoylandet,høylandet,ha,hå,ibestad,inderoy,inderøy,iveland,jevnaker,jondal,jolster,jølster,karasjok,karasjohka,kárášjohka,karlsoy,galsa,gálsá,karmoy,karmøy,kautokeino,guovdageaidnu,klepp,klabu,klæbu,kongsberg,kongsvinger,kragero,kragerø,kristiansand,kristiansund,krodsherad,krødsherad,kvalsund,rahkkeravju,ráhkkerávju,kvam,kvinesdal,kvinnherad,kviteseid,kvitsoy,kvitsøy,kvafjord,kvæfjord,giehtavuoatna,kvanangen,kvænangen,navuotna,návuotna,kafjord,kåfjord,gaivuotna,gáivuotna,larvik,lavangen,lavagis,loabat,loabát,lebesby,davvesiida,leikanger,leirfjord,leka,leksvik,lenvik,leangaviika,leaŋgaviika,lesja,levanger,lier,lierne,lillehammer,lillesand,lindesnes,lindas,lindås,lom,loppa,lahppi,láhppi,lund,lunner,luroy,lurøy,luster,lyngdal,lyngen,ivgu,lardal,lerdal,lærdal,lodingen,lødingen,lorenskog,lørenskog,loten,løten,malvik,masoy,måsøy,muosat,muosát,mandal,marker,marnardal,masfjorden,meland,meldal,melhus,meloy,meløy,meraker,meråker,moareke,moåreke,midsund,midtre-gauldal,modalen,modum,molde,moskenes,moss,mosvik,malselv,målselv,malatvuopmi,málatvuopmi,namdalseid,aejrie,namsos,namsskogan,naamesjevuemie,nååmesjevuemie,laakesvuemie,nannestad,narvik,narviika,naustdal,nedre-eiker,akershus(1:nes),buskerud(1:nes),nesna,nesodden,nesseby,unjarga,unjárga,nesset,nissedal,nittedal,nord-aurdal,nord-fron,nord-odal,norddal,nordkapp,davvenjarga,davvenjárga,nordre-land,nordreisa,raisa,ráisa,nore-og-uvdal,notodden,naroy,nærøy,notteroy,nøtterøy,odda,oksnes,øksnes,oppdal,oppegard,oppegård,orkdal,orland,ørland,orskog,ørskog,orsta,ørsta,hedmark(3:os,valer,våler),hordaland(1:os),osen,osteroy,osterøy,ostre-toten,østre-toten,overhalla,ovre-eiker,øvre-eiker,oyer,øyer,oygarden,øygarden,oystre-slidre,øystre-slidre,porsanger,porsangu,porsáŋgu,porsgrunn,radoy,radøy,rakkestad,rana,ruovat,randaberg,rauma,rendalen,rennebu,rennesoy,rennesøy,rindal,ringebu,ringerike,ringsaker,rissa,risor,risør,roan,rollag,rygge,ralingen,rælingen,rodoy,rødøy,romskog,rømskog,roros,røros,rost,røst,royken,røyken,royrvik,røyrvik,rade,råde,salangen,siellak,saltdal,salat,sálát,sálat,samnanger,vestfold(1:sande),sandefjord,sandnes,sandoy,sandøy,sarpsborg,sauda,sauherad,sel,selbu,selje,seljord,sigdal,siljan,sirdal,skaun,skedsmo,ski,skien,skiptvet,skjervoy,skjervøy,skierva,skiervá,skjak,skjåk,skodje,skanland,skånland,skanit,skánit,smola,smøla,snillfjord,snasa,snåsa,snoasa,snaase,snåase,sogndal,sokndal,sola,solund,songdalen,sortland,spydeberg,stange,stavanger,steigen,steinkjer,stjordal,stjørdal,stokke,stor-elvdal,stord,stordal,storfjord,omasvuotna,strand,stranda,stryn,sula,suldal,sund,sunndal,surnadal,sveio,svelvik,sykkylven,sogne,søgne,somna,sømna,sondre-land,søndre-land,sor-aurdal,sør-aurdal,sor-fron,sør-fron,sor-odal,sør-odal,sor-varanger,sør-varanger,matta-varjjat,mátta-várjjat,sorfold,sørfold,sorreisa,sørreisa,sorum,sørum,tana,deatnu,time,tingvoll,tinn,tjeldsund,dielddanuorri,tjome,tjøme,tokke,tolga,torsken,tranoy,tranøy,tromso,tromsø,tromsa,romsa,trondheim,troandin,trysil,trana,træna,trogstad,trøgstad,tvedestrand,tydal,tynset,tysfjord,divtasvuodna,divttasvuotna,tysnes,tysvar,tysvær,tonsberg,tønsberg,ullensaker,ullensvang,ulvik,utsira,vadso,vadsø,cahcesuolo,čáhcesuolo,vaksdal,valle,vang,vanylven,vardo,vardø,varggat,várggát,vefsn,vaapste,vega,vegarshei,vegårshei,vennesla,verdal,verran,vestby,vestnes,vestre-slidre,vestre-toten,vestvagoy,vestvågøy,vevelstad,vik,vikna,vindafjord,volda,voss,varoy,værøy,vagan,vågan,voagat,vagsoy,vågsøy,vaga,vågå,ostfold(1:valer),østfold(1:våler),co),np(1:*),nr(7:biz,info,gov,edu,org,net,com),nu(3:merseine,mine,shacknet),nz(1:*),om(11:*,mediaphone(1:!),nawrastelecom(1:!),nawras(1:!),omanmobile(1:!),omanpost(1:!),omantel(1:!),rakpetroleum(1:!),siemens(1:!),songfest(1:!),statecouncil(1:!)),org(53:ae,us,za,dyndns(2:go,home),blogdns,blogsite,boldlygoingnowhere,dnsalias,dnsdojo,doesntexist,dontexist,doomdns,dvrdns,dynalias,endofinternet,endoftheinternet,from-me,game-host,gotdns,hobby-site,homedns,homeftp,homelinux,homeunix,is-a-bruinsfan,is-a-candidate,is-a-celticsfan,is-a-chef,is-a-geek,is-a-knight,is-a-linux-user,is-a-patsfan,is-a-soxfan,is-found,is-lost,is-saved,is-very-bad,is-very-evil,is-very-good,is-very-nice,is-very-sweet,isa-geek,kicks-ass,misconfused,podzone,readmyblog,selfip,sellsyourhome,servebbs,serveftp,servegame,stuff-4-sale,webhop),pa(11:ac,gob,com,org,sld,edu,net,ing,abo,med,nom),pe(7:edu,gob,nom,mil,org,com,net),pf(3:com,org,edu),pg(1:*),ph(8:com,net,org,gov,edu,ngo,mil,i),pk(14:com,net,edu,org,fam,biz,web,gov,gob,gok,gon,gop,gos,info),pl(171:aid,agro,atm,auto,biz,com,edu,gmina,gsm,info,mail,miasta,media,mil,net,nieruchomosci,nom,org,pc,powiat,priv,realestate,rel,sex,shop,sklep,sos,szkola,targi,tm,tourism,travel,turystyka,6bone,art,mbone,gov(9:uw,um,ug,upow,starostwo,so,sr,po,pa),ngo,irc,usenet,augustow,babia-gora,bedzin,beskidy,bialowieza,bialystok,bielawa,bieszczady,boleslawiec,bydgoszcz,bytom,cieszyn,czeladz,czest,dlugoleka,elblag,elk,glogow,gniezno,gorlice,grajewo,ilawa,jaworzno,jelenia-gora,jgora,kalisz,kazimierz-dolny,karpacz,kartuzy,kaszuby,katowice,kepno,ketrzyn,klodzko,kobierzyce,kolobrzeg,konin,konskowola,kutno,lapy,lebork,legnica,lezajsk,limanowa,lomza,lowicz,lubin,lukow,malbork,malopolska,mazowsze,mazury,mielec,mielno,mragowo,naklo,nowaruda,nysa,olawa,olecko,olkusz,olsztyn,opoczno,opole,ostroda,ostroleka,ostrowiec,ostrowwlkp,pila,pisz,podhale,podlasie,polkowice,pomorze,pomorskie,prochowice,pruszkow,przeworsk,pulawy,radom,rawa-maz,rybnik,rzeszow,sanok,sejny,siedlce,slask,slupsk,sosnowiec,stalowa-wola,skoczow,starachowice,stargard,suwalki,swidnica,swiebodzin,swinoujscie,szczecin,szczytno,tarnobrzeg,tgory,turek,tychy,ustka,walbrzych,warmia,warszawa,waw,wegrow,wielun,wlocl,wloclawek,wodzislaw,wolomin,wroclaw,zachpomor,zagan,zarow,zgora,zgorzelec,gda,gdansk,gdynia,med,sopot,gliwice,krakow,poznan,wroc,zakopane,co),pm,pn(5:gov,co,org,edu,net),pr(13:com,net,org,gov,edu,isla,pro,biz,info,name,est,prof,ac),pro(7:aca,bar,cpa,jur,law,med,eng),ps(7:edu,gov,sec,plo,com,org,net),pt(8:net,gov,org,edu,int,publ,com,nome),pw(6:co,ne,or,ed,go,belau),py(1:*),qa(8:com,edu,gov,mil,name,net,org,sch),re(3:com,asso,nom),ro(11:com,org,tm,nt,nom,info,rec,arts,firm,store,www),rs(6:co,org,edu,ac,gov,in),ru(133:ac,com,edu,int,net,org,pp,adygeya,altai,amur,arkhangelsk,astrakhan,bashkiria,belgorod,bir,bryansk,buryatia,cbg,chel,chelyabinsk,chita,chukotka,chuvashia,dagestan,dudinka,e-burg,grozny,irkutsk,ivanovo,izhevsk,jar,joshkar-ola,kalmykia,kaluga,kamchatka,karelia,kazan,kchr,kemerovo,khabarovsk,khakassia,khv,kirov,koenig,komi,kostroma,krasnoyarsk,kuban,kurgan,kursk,lipetsk,magadan,mari,mari-el,marine,mordovia,mosreg,msk,murmansk,nalchik,nnov,nov,novosibirsk,nsk,omsk,orenburg,oryol,palana,penza,perm,pskov,ptz,rnd,ryazan,sakhalin,samara,saratov,simbirsk,smolensk,spb,stavropol,stv,surgut,tambov,tatarstan,tom,tomsk,tsaritsyn,tsk,tula,tuva,tver,tyumen,udm,udmurtia,ulan-ude,vladikavkaz,vladimir,vladivostok,volgograd,vologda,voronezh,vrn,vyatka,yakutia,yamal,yaroslavl,yekaterinburg,yuzhno-sakhalinsk,amursk,baikal,cmw,fareast,jamal,kms,k-uralsk,kustanai,kuzbass,magnitka,mytis,nakhodka,nkz,norilsk,oskol,pyatigorsk,rubtsovsk,snz,syzran,vdonsk,zgrad,gov,mil,test),rw(9:gov,net,edu,ac,com,co,int,mil,gouv),sa(8:com,net,org,gov,med,pub,edu,sch),sb(5:com,edu,gov,net,org),sc(5:com,gov,net,org,edu),sd(7:com,net,org,edu,med,gov,info),se(40:a,ac,b,bd,brand,c,d,e,f,fh,fhsk,fhv,g,h,i,k,komforb,kommunalforbund,komvux,l,lanbib,m,n,naturbruksgymn,o,org,p,parti,pp,press,r,s,sshn,t,tm,u,w,x,y,z),sg(6:com,net,org,gov,edu,per),sh,si,sk,sl(5:com,net,edu,gov,org),sm,sn(7:art,com,edu,gouv,org,perso,univ),so(3:com,net,org),sr,st(12:co,com,consulado,edu,embaixada,gov,mil,net,org,principe,saotome,store),su,sv(1:*),sy(6:edu,gov,net,mil,com,org),sz(3:co,ac,org),tc,td,tel,tf,tg,th(7:ac,co,go,in,mi,net,or),tj(15:ac,biz,co,com,edu,go,gov,int,mil,name,net,nic,org,test,web),tk,tl(1:gov),tm,tn(20:com,ens,fin,gov,ind,intl,nat,net,org,info,perso,tourism,edunet,rnrt,rns,rnu,mincom,agrinet,defense,turen),to(6:com,gov,net,org,edu,mil),tr(3:*,nic(1:!),nc(1:gov)),travel,tt(17:co,com,org,net,biz,info,pro,int,coop,jobs,mobi,travel,museum,aero,name,gov,edu),tv(4:dyndns,better-than,on-the-web,worse-than),tw(13:edu,gov,mil,com,net,org,idv,game,ebiz,club,網路,組織,商業),tz(7:ac,co,go,mil,ne,or,sc),ua(54:com,edu,gov,in,net,org,cherkassy,chernigov,chernovtsy,ck,cn,crimea,cv,dn,dnepropetrovsk,donetsk,dp,if,ivano-frankivsk,kh,kharkov,kherson,khmelnitskiy,kiev,kirovograd,km,kr,ks,kv,lg,lugansk,lutsk,lviv,mk,nikolaev,od,odessa,pl,poltava,rovno,rv,sebastopol,sumy,te,ternopil,uzhgorod,vinnica,vn,zaporizhzhe,zp,zhitomir,zt,co,pp),ug(6:co,ac,sc,go,ne,or),uk(14:*,sch(1:*),bl(1:!),british-library(1:!),icnet(1:!),jet(1:!),mod(1:!),nel(1:!),nhs(1:!),nic(1:!),nls(1:!),national-library-scotland(1:!),parliament(1:!),police(1:!)),us(63:dni,fed,isa,kids,nsn,ak(3:k12,cc,lib),al(3:k12,cc,lib),ar(3:k12,cc,lib),as(3:k12,cc,lib),az(3:k12,cc,lib),ca(3:k12,cc,lib),co(3:k12,cc,lib),ct(3:k12,cc,lib),dc(3:k12,cc,lib),de(3:k12,cc,lib),fl(3:k12,cc,lib),ga(3:k12,cc,lib),gu(3:k12,cc,lib),hi(2:cc,lib),ia(3:k12,cc,lib),id(3:k12,cc,lib),il(3:k12,cc,lib),in(3:k12,cc,lib),ks(3:k12,cc,lib),ky(3:k12,cc,lib),la(3:k12,cc,lib),ma(3:k12(3:pvt,chtr,paroch),cc,lib),md(3:k12,cc,lib),me(3:k12,cc,lib),mi(3:k12,cc,lib),mn(3:k12,cc,lib),mo(3:k12,cc,lib),ms(3:k12,cc,lib),mt(3:k12,cc,lib),nc(3:k12,cc,lib),nd(3:k12,cc,lib),ne(3:k12,cc,lib),nh(3:k12,cc,lib),nj(3:k12,cc,lib),nm(3:k12,cc,lib),nv(3:k12,cc,lib),ny(3:k12,cc,lib),oh(3:k12,cc,lib),ok(3:k12,cc,lib),or(3:k12,cc,lib),pa(3:k12,cc,lib),pr(3:k12,cc,lib),ri(3:k12,cc,lib),sc(3:k12,cc,lib),sd(3:k12,cc,lib),tn(3:k12,cc,lib),tx(3:k12,cc,lib),ut(3:k12,cc,lib),vi(3:k12,cc,lib),vt(3:k12,cc,lib),va(3:k12,cc,lib),wa(3:k12,cc,lib),wi(3:k12,cc,lib),wv(3:k12,cc,lib),wy(3:k12,cc,lib),is-by,land-4-sale,stuff-4-sale),uy(1:*),uz(2:com,co),va,vc(6:com,net,org,gov,mil,edu),ve(1:*),vg,vi(5:co,com,k12,net,org),vn(12:com,net,org,edu,gov,int,ac,biz,info,name,pro,health),vu,wf,ws(7:com,net,org,gov,edu,dyndns,mypets),yt,امارات,বাংলা,中国,中國,الجزائر,مصر,გე,香港,भारत,بھارت,భారత్,ભારત,ਭਾਰਤ,ভারত,இந்தியா,ایران,ايران,الاردن,한국,ලංකා,இலங்கை,المغرب,عمان,فلسطين,срб,рф,قطر,السعودية,السعودیة,السعودیۃ,السعوديه,سورية,سوريا,新加坡,சிங்கப்பூர்,ไทย,تونس,台灣,台湾,臺灣,укр,اليمن,xxx,ye(1:*),za(1:*),zm(1:*),zw(1:*))";

